qt6-3d (6.10.2+dfsg-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove kernel version from build artifacts to ensure reproducible
    builds.
  * Bump Standards-Version to 4.7.4 (no changes needed).

 -- Patrick Franz <deltaone@debian.org>  Fri, 29 May 2026 16:47:15 +0200

qt6-3d (6.10.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 19 Mar 2026 20:43:39 +0100

qt6-3d (6.10.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.10.2).
  * Bump Qt B-Ds to 6.10.2.
  * Update d/watch to format version 5.
  * Update build-deps and deps with the info from cmake and add patch
    for assimp.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.3 (no changes needed).
  * Remove Priority: optional, not needed anymore.

 -- Patrick Franz <deltaone@debian.org>  Thu, 05 Feb 2026 21:55:11 +0100

qt6-3d (6.9.2+dfsg-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Enable ccache only whhen build in corresponding build profile.
  * Drop Rules-Requires-Root: no, not needed any more.

 -- Patrick Franz <deltaone@debian.org>  Sun, 02 Nov 2025 19:37:10 +0100

qt6-3d (6.9.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 22 Sep 2025 21:19:45 +0200

qt6-3d (6.9.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.2).
  * Bump Qt B-Ds to 6.9.2.

 -- Patrick Franz <deltaone@debian.org>  Tue, 16 Sep 2025 18:28:48 +0200

qt6-3d (6.9.1+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Install missing cmake-files.
  * Update d/copyright.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Aug 2025 01:33:40 +0200

qt6-3d (6.9.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.9.1).
  * Bump Qt B-Ds to 6.9.1.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Bump Standards-Version to 4.7.2 (no changes needed).
  * Remove inactive uploaders, thank you for your work.

 -- Patrick Franz <deltaone@debian.org>  Sat, 16 Aug 2025 01:22:44 +0200

qt6-3d (6.8.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 12:23:33 +0100

qt6-3d (6.8.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * New binary packages and update list of installed files.
  * Update symbols from buildlogs.
  * Update d/copyright.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Thu, 13 Feb 2025 21:16:45 +0100

qt6-3d (6.7.2+dfsg-4) unstable; urgency=medium

  * Team upload.
  * Turn amd64 architecture specifier in symbols files to any-amd64, as those
    symbols apply to all the OSes and not only Linux.

 -- Pino Toscano <pino@debian.org>  Fri, 20 Dec 2024 07:44:46 +0100

qt6-3d (6.7.2+dfsg-3) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.
  * Enable QML detection for examples package.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 18:28:14 +0100

qt6-3d (6.7.2+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 01:31:48 +0200

qt6-3d (6.7.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 03 Sep 2024 19:03:46 +0200

qt6-3d (6.6.2+dfsg-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:16:50 +0200

qt6-3d (6.6.2+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Sat, 17 Feb 2024 20:02:15 +0100

qt6-3d (6.6.1+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 10 Jan 2024 19:31:00 +0100

qt6-3d (6.6.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Update list of excluded files.
  * Bump Qt B-Ds to 6.6.1.
  * Remove redundant patch to exclude examples.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Remove multiple binary packages.

 -- Patrick Franz <deltaone@debian.org>  Wed, 20 Dec 2023 20:10:10 +0100

qt6-3d (6.4.2+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Add patch to avoid compiling planets-qml example. It fails to build from
    source on 32 bits archs and was discarded by upstream in Qt 6.5.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Aug 2023 19:36:13 -0300

qt6-3d (6.4.2+dfsg-5) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Aug 2023 13:25:03 -0300

qt6-3d (6.4.2+dfsg-4) experimental; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Remove dependency on libqt6opengl6-dev as it has been merged into
    qt6-base-dev.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add documentation and examples packages (Closes: #1042329).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 28 Jul 2023 20:00:28 -0300

qt6-3d (6.4.2+dfsg-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne
    (Closes: #1034410).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jun 2023 00:27:07 +0200

qt6-3d (6.4.2+dfsg-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Add missing B-D qml6-module-qtquick3d-spatialaudio (Closes:
    #1030472).

 -- Patrick Franz <deltaone@debian.org>  Sat, 04 Feb 2023 11:18:40 +0100

qt6-3d (6.4.2+dfsg-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.

 -- Patrick Franz <deltaone@debian.org>  Thu, 26 Jan 2023 22:15:32 +0100

qt6-3d (6.4.2+dfsg~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:57:57 +0100

qt6-3d (6.4.2+dfsg~rc1-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Bump stadards version to 4.6.2, no changes required.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:25:47 +0100

qt6-3d (6.4.1+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Adjust build-dependencies.

 -- Patrick Franz <deltaone@debian.org>  Wed, 14 Dec 2022 23:59:28 +0100

qt6-3d (6.4.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.

 -- Patrick Franz <deltaone@debian.org>  Thu, 17 Nov 2022 20:49:51 +0100

qt6-3d (6.4.0+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Enable link time optimization (Closes: #1015614).

 -- Patrick Franz <deltaone@debian.org>  Sun, 13 Nov 2022 11:50:31 +0100

qt6-3d (6.4.0+dfsg-1) experimental; urgency=medium

  [ Lu YaNing ]
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Update install files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 13:21:06 +0200

qt6-3d (6.3.1+dfsg-4) unstable; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Increase CMake verbosity level, allowing to check more details of the
    build.
  * Add qt6-multimedia-dev as a Build Dependency, which is an optional one.
  * Bump minimum CMake version in order to get pkg-config's .pc files.

  [ Pino Toscano ]
  * Mark a Linux-only symbol as such.

 -- Pino Toscano <pino@debian.org>  Tue, 06 Sep 2022 23:14:45 +0200

qt6-3d (6.3.1+dfsg-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Tue, 16 Aug 2022 23:39:50 +0200

qt6-3d (6.3.1+dfsg-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:22:05 +0200

qt6-3d (6.3.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update list of installed files.
  * Update symbols from buildlogs.
  * Update lintian-overrides.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Jul 2022 11:17:46 +0200

qt6-3d (6.3.0+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.

 -- Patrick Franz <deltaone@debian.org>  Wed, 15 Jun 2022 17:49:43 +0200

qt6-3d (6.2.4+dfsg-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:06:08 +0200

qt6-3d (6.2.4+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Mar 2022 21:41:04 +0200

qt6-3d (6.2.2+dfsg-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:30:22 +0100

qt6-3d (6.2.2+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Thu, 30 Dec 2021 16:19:16 +0100

qt6-3d (6.2.2+dfsg-1) experimental; urgency=medium

  * Initial release (Closes: #999683)

 -- Patrick Franz <deltaone@debian.org>  Sun, 14 Nov 2021 23:31:48 +0100
